## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# pointer_equals_predicate Template Struct Reference

`#include <STLHelper.hpp>`

Inheritance diagram for pointer_equals_predicate

Collaboration diagram for pointer_equals_predicate:

List of all members.

## Public Types

- typedef std::unary_function<
  const T*, bool> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- pointer_equals_predicate (argument_type theArg)
- result_type operator() ( argument_type theOther) const

## Member Typedef Documentation

template<classT>
typedef std::unary_function<const T*, bool> pointer_equals_predicate<T>::BaseClassType

template<classT>
typedef BaseClassType::argument_type pointer_equals_predicate<T>::argument_type

template<classT>
typedef BaseClassType::result_type pointer_equals_predicate<T>::result_type

## Constructor & Destructor Documentation

template<classT>
pointer_equals_predicate<T>::pointer_equals_predicate<T> ( | argument_type theArg )

## Member Function Documentation

template<classT>
result_type pointer_equals_predicate<T>::operator() ( | argument_type theOther ) const`[]`

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.